Developer docs
Switch Workspace
POST
/v1/auth/switch
const url = 'https://example.com/v1/auth/switch';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"tenant_id":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/v1/auth/switch \ --header 'Content-Type: application/json' \ --data '{ "tenant_id": "example" }'Act in another workspace this person belongs to. The session remembers the choice.
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
SwitchIn
object
tenant_id
required
Tenant Id
string
Examplegenerated
{ "tenant_id": "example"}Responses
Section titled “ Responses ”Successful Response
Media typeapplication/json
Response Switch Workspace V1 Auth Switch Post
object
key
additional properties
any
Examplegenerated
{}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}